# GET /api/v1/cfo-projection/scenarios/active

> Get active scenario

- **Tag:** cfo-projection
- **Operation ID:** `get_active_scenario_api_v1_cfo_projection_scenarios_active_get`

## Description

Get the currently active projection scenario, or null.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Responses

### 200 — Successful Response

Schema: `ScenarioResponse`

- `id` (string · required)
- `business_id` (string · required)
- `name` (string · required)
- `is_active` (boolean · required)
- `base_month` (string · date · required)
- `projection_months` (integer · required)
- `revenue_drivers` (object)
- `cost_classifications` (object)
- `variable_drivers` (object)
- `fixed_drivers` (object)
- `monthly_overrides` (object)
- `tax_rate` (number · required)
- `interest_income_monthly` (integer · required)
- `interest_expense_monthly` (integer · required)
- `created_at` (string · date-time · required)
- `updated_at` (string · date-time · required)

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/cfo-projection/scenarios/active' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/cfo-projection/scenarios/active', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/cfo-projection/scenarios/active", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/cfo-projection/get-active-scenario
- OpenAPI slice: https://www.ondayzero.com/docs/reference/cfo-projection/get-active-scenario/openapi.json
- Other endpoints in **cfo-projection**: https://www.ondayzero.com/docs/reference/cfo-projection
